Skip to main content

Connect Custom Domain

Connect your own domain to the workspace. You will need to add DNS records to verify ownership.


Endpoint​

POST https://api.campaignlark.com/v1/domains/create/custom

Request Body​

FieldTypeRequiredDescription
domain_namestringrequiredThe domain name to connect (e.g. example.com).

Sample Request​

POST https://api.campaignlark.com/v1/domains/create/custom
Content-Type: application/json

{
"domain_name": "example.com"
}

Response​

Success — 201 Created​

Returns the created domain object (see Domain Object).


Errors​

StatusMessageCause
400Invalid request body.Request body could not be parsed.
400Various validation errorsDomain name is invalid, already exists, etc.